Retrieve a restaurant
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Restaurants
Retrieve a restaurant
GET
/
restaurants
/
{id}
Retrieve a restaurant
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/restaurants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns one restaurant by UUID.
Auth: API key in
X-API-Key.
Example
curl https://api.staging.blackbird.xyz/flynet/v1/restaurants/{uuid} \
-H "X-API-Key: $API_KEY"
Restaurant asset
asset is nullable. When present, it contains nullable URL strings:
{
"asset": {
"preview_1x": "https://...",
"web_2x": "https://...",
"full_3x": "https://..."
}
}